/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { MapResetEvent } from '@progress/kendo-charts';
import { MapComponent } from '../map.component';
import { BaseEvent } from './base-event';
/**
 * Fired when the map is reset.
 *
 * This typically occurs on initial load and after a zoom/center change.
 */
export declare class ResetEvent extends BaseEvent implements MapResetEvent {
    /**
     * @hidden
     */
    constructor(_: any, sender: MapComponent);
}
