/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { BaseEvent } from './base-event';
/**
 * Fired immediately before the map is reset. This event is typically used for cleanup by layer implementers.
 */
export class BeforeResetEvent extends BaseEvent {
    /**
     * @hidden
     */
    constructor(_, sender) {
        super(sender);
    }
}
